Name:          jackson-annotations
Version:       2.11.3
Release:       %mkrel 1
Group:         Development/Java
Summary:       Core annotations for Jackson data processor
License:       ASL 2.0

URL:           https://github.com/FasterXML/jackson-annotations
Source0:       %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.fasterxml.jackson:jackson-parent:pom:) >= 2.11
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:      noarch

%description
Core annotations used for value types,
used by Jackson data-binding package.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_remove_plugin "org.moditect:moditect-maven-plugin"
%pom_remove_plugin "org.sonatype.plugins:nexus-staging-maven-plugin"

sed -i 's/\r//' LICENSE

%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md release-notes/*
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE




%changelog
* Wed Oct 21 2020 daviddavid <daviddavid> 2.11.3-1.mga8
+ Revision: 1637873
- Update to version 2.11.3

* Tue Oct 20 2020 neoclust <neoclust> 2.11.2-2.mga8
+ Revision: 1637312
- Rebuild because of broken deps

* Sat Sep 05 2020 daviddavid <daviddavid> 2.11.2-1.mga8
+ Revision: 1622424
- Update to version 2.11.2

* Sun Feb 16 2020 umeabot <umeabot> 2.10.0-2.mga8
+ Revision: 1536173
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 2.10.0-1.mga8
+ Revision: 1453497
- Update to version 2.10.0

* Thu Feb 07 2019 daviddavid <daviddavid> 2.9.8-1.mga7
+ Revision: 1363834
- Update to latest upstream release 2.9.8

* Mon Nov 26 2018 wally <wally> 2.9.4-1.mga7
+ Revision: 1335290
- new version 2.9.4 (sync with Fedora)

* Tue Sep 18 2018 umeabot <umeabot> 2.7.6-2.mga7
+ Revision: 1263245
- Mageia 7 Mass Rebuild

* Fri May 12 2017 neoclust <neoclust> 2.7.6-1.mga6
+ Revision: 1100584
- New version 2.7.6

* Wed Mar 02 2016 neoclust <neoclust> 2.6.3-3.mga6
+ Revision: 982525
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.6.3-2.mga6
+ Revision: 976416
- First rebuild of the java stack
- sync package jackson-annotations with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.4.3-4.mga5
+ Revision: 805703
- Clean rebuild
- Restore
- 2.4.3
- Sync with fedora
+ sander85 <sander85>
- Depends on broken java stack
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Oct 22 2013 umeabot <umeabot> 2.2.2-4.mga4
+ Revision: 541323
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 2.2.2-3.mga4
+ Revision: 495541
- imported package jackson-annotations


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 gil cattaneo <puntogil@libero.it> 2.2.2-2
- review fixes

* Tue Jul 16 2013 gil cattaneo <puntogil@libero.it> 2.2.2-1
- 2.2.2
- renamed jackson-annotations

* Tue May 07 2013 gil cattaneo <puntogil@libero.it> 2.2.1-1
- 2.2.1

* Wed Oct 24 2012 gil cattaneo <puntogil@libero.it> 2.1.0-1
- update to 2.1.0
- renamed jackson2-annotations

* Thu Sep 13 2012 gil cattaneo <puntogil@libero.it> 2.0.6-1
- initial rpm
